Subject: bug#20272: Support reproducible builds

From: Andy Wingo <[email-masked]>
Date: Mon, 20 Jun 2016 17:48:49 +0200

On Fri 12 Feb 2016 17:29, Mark H Weaver <[email-masked]> writes:

> Mark H Weaver <[email-masked]> writes:
>
>> [email-masked] (Ludovic Courtès) writes:
>>
>>> Currently .go files embed randomly-generated symbols stemming from
>>> ‘syntax-session-id’, which prevents reproducible builds (see
>>> <https://lists.gnu.org/archive/html/guix-devel/2013-09/msg00159.html>.)
>>
>> I've given this more thought, and I think I have a way that avoids
>> session-ids altogether.
>>
>> Currently, we include both the session-id and a global gensym counter in
>> the names of freshly generated marks and labels in psyntax.scm.
>> Instead, let them include the module name and a per-module counter.
>
> I've attached a preliminary implementation of this idea, but I'm not yet
> confident in its correctness.

Looks pretty good to me but I think we should put it off until after
2.0.12, just so we can get the release out the door.  WDYT?

Andy